Cloud and BYOC for Orca Agent Engine are in Private Preview — request an invite
Docs
Sources

Get source info with defaults

GET/apis/cloud.sn.io/v1/connectors/sources/{sourceName}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

sourceName*string

Response Body

application/json

curl -X GET "https://example.com/apis/cloud.sn.io/v1/connectors/sources/string"
{  "tenant": "string",  "namespace": "string",  "name": "string",  "className": "string",  "topicName": "string",  "producerConfig": {    "maxPendingMessages": 0,    "maxPendingMessagesAcrossPartitions": 0,    "useThreadLocalProducers": true,    "cryptoConfig": {      "cryptoKeyReaderClassName": "string",      "cryptoKeyReaderConfig": {        "property1": {},        "property2": {}      },      "encryptionKeys": [        "string"      ],      "producerCryptoFailureAction": "FAIL",      "consumerCryptoFailureAction": "FAIL"    },    "batchBuilder": "string",    "compressionType": "NONE",    "batchingConfig": {      "enabled": true,      "batchingMaxPublishDelayMs": 0,      "roundRobinRouterBatchingPartitionSwitchFrequency": 0,      "batchingMaxMessages": 0,      "batchingMaxBytes": 0,      "batchBuilder": "string"    }  },  "serdeClassName": "string",  "schemaType": "string",  "configs": {    "property1": {},    "property2": {}  },  "secrets": {    "property1": {},    "property2": {}  },  "parallelism": 0,  "processingGuarantees": "ATLEAST_ONCE",  "resources": {    "cpu": 0.1,    "ram": 0,    "disk": 0  },  "sourceType": "string",  "archive": "string",  "runtimeFlags": "string",  "customRuntimeOptions": "string",  "batchSourceConfig": {    "discoveryTriggererClassName": "string",    "discoveryTriggererConfig": {      "property1": {},      "property2": {}    }  },  "batchBuilder": "string",  "logTopic": "string",  "connection": "string",  "snServiceAccount": "string"}